<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="Depositary" description="Депозитарий"
	fileName="BankDepositary.jar" className="org.mati.npc.components.bank.depositary.Depositary"
	version="8791" time="17.02.2009 01:04:56">

	<Group>Банковские депозитарные ячейки</Group>

	<OUTLink name="OutBox" description=""
		interfaceName="org.mati.npc.interfaces.bank.NPCBoxHandler"
		linksNumber="0" nullable="false">
	</OUTLink>

	<OUTLink name="OutSecurityFace" description=""
		interfaceName="org.mati.npc.interfaces.bank.SecurityFaceHandler"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutGuardReader" description=""
		interfaceName="org.mati.npc.components.interfaces.Reader"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutClientReader" description=""
		interfaceName="org.mati.npc.components.interfaces.Reader"
		linksNumber="1" nullable="true">
	</OUTLink>

	<INLink name="InCellGui" description=""
		interfaceName="org.mati.npc.interfaces.bank.NPCDepositaryHandler"
		linksNumber="0" nullable="false">
	</INLink>

	<OUTLink description="Связь с компонентом журналирования"
		interfaceName="org.mati.npc.components.interfaces.NPCSimpleLoggerHandler"
		linksNumber="1" nullable="true" name="OutLoggerHandler">
	</OUTLink>
	<OUTLink name="OutDBServiceContainer"
		description="Связь с сервисом базы данных."
		interfaceName="org.mati.npc.components.interfaces.DBSerivceContainer"
		linksNumber="1" nullable="false">
	</OUTLink>

	<!-- Client -->
	<OUTLink name="OutClientAccessPoint"
		description="Возможность доступа"
		interfaceName="org.mati.npc.components.interfaces.SimpleContourAccessPoint"
		linksNumber="1" nullable="false">
	</OUTLink>
	<INLink name="InClientReader" description=""
		interfaceName="org.mati.npc.components.interfaces.ReaderListener"
		linksNumber="1" nullable="false">
	</INLink>

	<!-- Guard -->
	<OUTLink name="OutGuardAccessPoint"
		description="Возможность доступа"
		interfaceName="org.mati.npc.components.interfaces.SimpleContourAccessPoint"
		linksNumber="1" nullable="false">
	</OUTLink>
	<INLink name="InGuardReader" description=""
		interfaceName="org.mati.npc.components.interfaces.ReaderListener"
		linksNumber="1" nullable="false">
	</INLink>
	<OUTLink description="Связь с компонентом журналирования"
		interfaceName="org.mati.npc.interfaces.bank.NPCBankCellLoggerHandler"
		linksNumber="1" nullable="true" name="OutLoggerHandler">
	</OUTLink>


</ClassComponent>